Subject: Re: Binary size
From: Andrew Markebo <[email-masked]>
To: "Robinow, David" <[email-masked]>
Cc: "'Sturm Volker'" <[email-masked]>, "[email-masked]'" <[email-masked]>
Date: 21 Feb 2002 19:42:13 +0100

/ "Robinow, David" <[email-masked]> wrote:
|   I get similar results.  However, the stripped versions are the same size.
| Apparently the new compiler includes more debugging information.  I haven't
| yet found  any documentation describing this but I've barely looked.

But.. the new version was smaller than the old.. ;-) Weren't there a
question in the faq something like "why does MSVC++ do a hello world
app that is X bytes large, but cygwin Y bytes??" Can't find it now.. 

        /Andy

| 
| > -----Original Message-----
| > From: Sturm Volker [mailto:[email-masked]]
| > Subject: WG: Binary size
| > > I tried out cygwin on win2k and i compiled gcc3.0.3 - apart from the
| > > prefix option - in the standard way. using the gcc 2.95 that came with
| > > cygwin and the 3.0.3 gave me a size of some compiled .exe of about 18 k
| > > with the old version and 35 k with the new version. the program i
| > > compiled for testing was:
[...]

-- 
 The eye of the beholder rests on the beauty!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/